<?php

use Illuminate\Support\Facades\Broadcast;

Broadcast::channel('App.Models.User.{id}', function ($user, $id) {
    return (int) $user->id === (int) $id;
});

Broadcast::channel('calendar.{userId}', function ($user, $userId) {
    return $user->id === $userId;
});

Broadcast::channel('notifications.{userId}', function ($user, $userId) {
    return (string) $user->id === $userId;
});
